Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RelatedLinkType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RelatedLinkType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RelatedLinkType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Related Link Type', and utility methods for working with them. specDomain: V19615 (C-0-D11603-V19615-cpt)

See Also:
  `CDAR2Package.getRelatedLinkType()`

Field Summary
`static int` | `BACKUP` The 'BACKUP' literal value.
`static RelatedLinkType` | `BACKUP_LITERAL` The 'BACKUP' literal object.
`static int` | `DIRAUTH` The 'DIRAUTH' literal value.
`static RelatedLinkType` | `DIRAUTH_LITERAL` The 'DIRAUTH' literal object.
`static int` | `INDAUTH` The 'INDAUTH' literal value.
`static RelatedLinkType` | `INDAUTH_LITERAL` The 'INDAUTH' literal object.
`static int` | `PART` The 'PART' literal value.
`static RelatedLinkType` | `PART_LITERAL` The 'PART' literal object.
`static int` | `REL` The 'REL' literal value.
`static RelatedLinkType` | `REL_LITERAL` The 'REL' literal object.
`static int` | `REPL` The 'REPL' literal value.
`static RelatedLinkType` | `REPL_LITERAL` The 'REPL' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Related Link Type' enumerators.

Method Summary
`static RelatedLinkType` | `get(int value)` Returns the 'Related Link Type' literal with the specified integer value.
`static RelatedLinkType` | `get(java.lang.String literal)` Returns the 'Related Link Type' literal with the specified literal value.
`static RelatedLinkType` | `getByName(java.lang.String name)` Returns the 'Related Link Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REL

    public static final int REL

  The 'REL' literal value.

  If the meaning of 'REL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REL_LITERAL`, Constant Field Values

### BACKUP

    public static final int BACKUP

  The 'BACKUP' literal value.

  If the meaning of 'BACKUP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BACKUP_LITERAL`, Constant Field Values

### DIRAUTH

    public static final int DIRAUTH

  The 'DIRAUTH' literal value.

  If the meaning of 'DIRAUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIRAUTH_LITERAL`, Constant Field Values

### INDAUTH

    public static final int INDAUTH

  The 'INDAUTH' literal value.

  If the meaning of 'INDAUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INDAUTH_LITERAL`, Constant Field Values

### PART

    public static final int PART

  The 'PART' literal value.

  If the meaning of 'PART' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PART_LITERAL`, Constant Field Values

### REPL

    public static final int REPL

  The 'REPL' literal value.

  If the meaning of 'REPL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REPL_LITERAL`, Constant Field Values

### REL_LITERAL

    public static final RelatedLinkType REL_LITERAL

  The 'REL' literal object.

  See Also:
    `REL`

### BACKUP_LITERAL

    public static final RelatedLinkType BACKUP_LITERAL

  The 'BACKUP' literal object.

  See Also:
    `BACKUP`

### DIRAUTH_LITERAL

    public static final RelatedLinkType DIRAUTH_LITERAL

  The 'DIRAUTH' literal object.

  See Also:
    `DIRAUTH`

### INDAUTH_LITERAL

    public static final RelatedLinkType INDAUTH_LITERAL

  The 'INDAUTH' literal object.

  See Also:
    `INDAUTH`

### PART_LITERAL

    public static final RelatedLinkType PART_LITERAL

  The 'PART' literal object.

  See Also:
    `PART`

### REPL_LITERAL

    public static final RelatedLinkType REPL_LITERAL

  The 'REPL' literal object.

  See Also:
    `REPL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Related Link Type' enumerators.

Method Detail

### get

    public static RelatedLinkType get(java.lang.String literal)

  Returns the 'Related Link Type' literal with the specified literal value.

### getByName

    public static RelatedLinkType getByName(java.lang.String name)

  Returns the 'Related Link Type' literal with the specified name.

### get

    public static RelatedLinkType get(int value)

  Returns the 'Related Link Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD